Name:    ly
Version: 0.6.0
Release: 1%{?dist}
Summary: display manager with console UI
License: WTFPL
URL:     https://github.com/fairyglade/ly
Source0: https://github.com/fairyglade/ly/archive/refs/tags/v%{version}.tar.gz
BuildRequires: gcc
BuildRequires: pam-devel
BuildRequires: xcb-util
BuildRequires: xorg-x11-xauth
BuildRequires: ncurses-devel
Requires: systemd
Requires: util-linux
Requires: ncurses


%description
Ly is a lightweight TUI (ncurses-like) display manager for Linux and BSD.


%prep
%autosetup -T -c %{name}-%{version}
git clone https://github.com/fairyglade/ly .
git submodule update --init --recursive
git checkout v%{version}


%build
%make_build


%install
%make_install


%post
%systemd_post ly.service
%preun
%systemd_preun ly.service
%postun
%systemd_postun ly.service


%files
%{_sysconfdir}/ly/config.ini
%{_sysconfdir}/ly/lang/en.ini
%{_sysconfdir}/ly/lang/es.ini
%{_sysconfdir}/ly/lang/fr.ini
%{_sysconfdir}/ly/lang/pt.ini
%{_sysconfdir}/ly/lang/ro.ini
%{_sysconfdir}/ly/lang/ru.ini
%{_sysconfdir}/ly/wsetup.sh
%{_sysconfdir}/ly/xsetup.sh
%{_sysconfdir}/pam.d/ly
%{_bindir}/ly
%{_unitdir}/ly.service


%changelog
